Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle® Ultra Search Java API Reference 10g Release 2 (10.2) B14221-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ultrasearch.query
Class SubmitURLException

`java.lang.Object
java.lang.Throwable
java.lang.Exception
java.sql.SQLException
oracle.ultrasearch.query.SearchException
oracle.ultrasearch.query.SubmitURLException`

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  BadURLException, SubmitDisabledException

public class SubmitURLException
extends SearchException

Thrown when submit url encounters errors.

Since:
  9.0.2
See Also:
  Serialized Form

Constructor Summary
`SubmitURLException(java.lang.String errorCode)` Constructs a SubmitURLException with the specified error code.
`SubmitURLException(java.lang.String errorCode, java.lang.Object arg)` Constructs a SubmitURLException with the specified error code and error argument.
`SubmitURLException(java.lang.String errorCode, java.lang.Object[] args)` Constructs a SubmitURLException with the specified error code and error argument.

Methods inherited from class oracle.ultrasearch.query.SearchException
`getErrorCode, getLocalizedMessage, getMessage`

Methods inherited from class java.sql.SQLException
`getNextException, getSQLState, setNextException`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SubmitURLException

    public SubmitURLException(java.lang.String errorCode)

  Constructs a SubmitURLException with the specified error code.
Parameters:
  `errorCode` - the WKG error code

### SubmitURLException

    public SubmitURLException(java.lang.String errorCode,
                              java.lang.Object arg)

  Constructs a SubmitURLException with the specified error code and error argument.
Parameters:
  `errorCode` - the WKG error code
  `arg` - the argument for the error

### SubmitURLException

    public SubmitURLException(java.lang.String errorCode,
                              java.lang.Object[] args)

  Constructs a SubmitURLException with the specified error code and error argument.
Parameters:
  `errorCode` - the WKG error code

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle® Ultra Search Java API Reference 10g Release 2 (10.2) B14221-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003,2005, Oracle. All Rights Reserved.